Skip to main content
GET
/
payments
Retrieve payments list
curl --request GET \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments \
  --header 'x-api-key: <api-key>'
import requests

url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));

Authorizations

x-api-key
string
header
required

Query Parameters

limit
string

Defaults to 20 items per page, maximum 100 items allowed.

page
string

Page number. Starts from 1, defaults to 1.

sort_by
string

Allowed values: cuid, method,amount,payment_date

sort_dir
string

Allowed values: asc, desc

Search string.

calculate_count
string
filter
string
sort
string
rel
string

Response

200 - application/json

Successful response